App\Entity\CommandeProduit:
    type: entity
    table: commande_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        quantite:
            type: float
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: false
        totalTva:
            type: float
            nullable: false
        tauxRemise:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: false
        totalHt:
            type: float
            nullable: false
        totalTtc:
            type: float
            nullable: false
        notes:
            type: text
            nullable: true
    manyToOne:
        commande:
            targetEntity: Commande
            cascade: {  }
            mappedBy: null
            inversedBy: cproduits
            joinColumns:
                commande_id:
                    referencedColumnName: id
            orphanRemoval: false
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: cproduits
            joinColumns:
                produit_id:
                    referencedColumnName: id
                    nullable: true
            orphanRemoval: false